summaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authorNick Brassel <nick@tzarc.org>2020-12-04 10:45:39 +1100
committerGitHub <noreply@github.com>2020-12-04 10:45:39 +1100
commit4444f3cc55f246e484c6893f88d891c4c00c2166 (patch)
tree1f868d1744e85b561675e884c9718cac4277c0ca /util
parent7e2ba2784e8848f65c8385806fb1a2cdbe13a0cc (diff)
Disable almost all ChibiOS subsystems in default configs (#11111)
* Disable almost all ChibiOS subsystems. * Modify ChibiOS config updater script to fixup mcuconf include, use develop as base instead of master. * Add default early-init bootloader to F042/F072. * Back to 100k freq.
Diffstat (limited to 'util')
-rwxr-xr-xutil/chibios_conf_updater.sh (renamed from util/chibios-upgrader.sh)10
1 files changed, 9 insertions, 1 deletions
diff --git a/util/chibios-upgrader.sh b/util/chibios_conf_updater.sh
index ebc12abe7d..70bd80da1e 100755
--- a/util/chibios-upgrader.sh
+++ b/util/chibios_conf_updater.sh
@@ -51,7 +51,7 @@ revert_chibi_files() {
for file in $(find_chibi_files "$search_path" -name chconf.h -or -name halconf.h -or -name mcuconf.h -or -name board.c -or -name board.h -or -name board.mk -or -name board.chcfg) ; do
pushd "$search_path" >/dev/null 2>&1
local relpath=$(realpath --relative-to="$search_path" "$file")
- git checkout upstream/master -- "$relpath" || git checkout origin/master -- "$relpath" || true
+ git checkout upstream/develop -- "$relpath" || git checkout origin/develop -- "$relpath" || true
popd >/dev/null 2>&1
done
}
@@ -132,6 +132,14 @@ upgrade_chconf_files() {
upgrade_halconf_files() {
upgrade_conf_files_generic halconf.h update_halconf.sh
+
+ OIFS=$IFS
+ IFS=$'\n'
+ for file in $(find_chibi_files "$qmk_firmware_dir" -name halconf.h) ; do
+ echo $file
+ sed -i 's@#include "mcuconf.h"@#include <mcuconf.h>@g' "$file"
+ done
+ IFS=$OIFS
}
upgrade_mcuconf_files() {